Select
  I.PITEM_ID,
  PRev.PITEM_REVISION_ID,
  PRev.RSEQUENCE_ANCHORU,
  PRev.RITEMS_TAGU,
  PRev.PSEQUENCE_LIMIT,
  PRev.PSEQUENCE_ID
From
  infodba.PITEMREVISION PRev
Inner Join
  (
    Select
      PRev.RITEMS_TAGU
      || PRev.RSEQUENCE_ANCHORU Id,
      Max(PRev.PSEQUENCE_ID) MaxSeq
    From
      infodba.PITEMREVISION PRev
    Group By
      PRev.RITEMS_TAGU
      || PRev.RSEQUENCE_ANCHORU
  )
  HSeq
On
  PRev.PSEQUENCE_ID = HSeq.MaxSeq
And PRev.RITEMS_TAGU
  || PRev.RSEQUENCE_ANCHORU = HSeq.Id
Left Join infodba.PITEM I
On
  PRev.RITEMS_TAGU = I.PUID
Where
  RowNum < 10